Name:		dxx-rebirth
Version:	20220929
Release:	2%{?dist}
Summary:	DXX-Rebirth is a source port of the Descent and Descent 2 Engines for Windows, Mac OS, Linux (most *NIX systems), so you won’t need DOSBox to play the games.
Group:		Games
License:	GPL-3.0-only
URL:		https://www.dxx-rebirth.com/
Source0:	https://www.dxx-rebirth.com/download/dxx/rebirth/dxx-rebirth_%{version}-src.tar.xz
# https://github.com/godotengine/godot/issues/74725#issuecomment-1464969136
Patch0:		dxx-rebirth_sconsfix.patch
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	scons
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(glu)
Recommends:	libmodplug
Recommends:	libogg
Recommends:	libtimidity

%description
DXX-Rebirth is a source port of the Descent and Descent 2 Engines for Windows,
Mac OS, Linux (most *NIX systems), so you won’t need DOSBox to play the games.
Additionally, it offers OpenGL graphics and effects, advanced Multiplayer,
many improvements and new features.

%package -n d1x-rebirth
Summary: DXX-Rebirth source port of Descent 1
Group: Games
%description -n d1x-rebirth
DXX-Rebirth is a source port of the Descent Engine for Windows,
Mac OS, Linux (most *NIX systems), so you won’t need DOSBox to play the game.
Additionally, it offers OpenGL graphics and effects, advanced Multiplayer,
many improvements and new features.

%package -n d2x-rebirth
Summary: DXX-Rebirth source port of Descent 2
Group: Games
%description -n d2x-rebirth
DXX-Rebirth is a source port of the Descent 2 Engine for Windows,
Mac OS, Linux (most *NIX systems), so you won’t need DOSBox to play the game.
Additionally, it offers OpenGL graphics and effects, advanced Multiplayer,
many improvements and new features.

%prep
%autosetup -n %{name}_%{version}-src

%build
CXXFLAGS="$RPM_OPT_FLAGS" scons ipv6=1 sdl2=1 sdlmixer=1

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 build/d1x-rebirth/d1x-rebirth %{buildroot}%{_bindir}
install -m 755 build/d2x-rebirth/d2x-rebirth %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/appdata
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
desktop-file-install --dir %{buildroot}%{_datadir}/applications d1x-rebirth/d1x-rebirth.desktop
desktop-file-install --dir %{buildroot}%{_datadir}/applications d2x-rebirth/d2x-rebirth.desktop
install -m 644 d1x-rebirth/d1x-rebirth.xpm d2x-rebirth/d2x-rebirth.xpm %{buildroot}%{_datadir}/icons/hicolor/128x128/apps

%files -n d1x-rebirth
%doc README.md d1x-rebirth/RELEASE-NOTES.txt
%license COPYING.txt GPL-3.txt
%{_bindir}/d1x-rebirth*
%{_datadir}/applications/d1x-rebirth.desktop
%{_datadir}/icons/hicolor/128x128/apps/d1x-rebirth.xpm

%files -n d2x-rebirth
%doc README.md d2x-rebirth/RELEASE-NOTES.txt
%license COPYING.txt GPL-3.txt
%{_bindir}/d2x-rebirth*
%{_datadir}/applications/d2x-rebirth.desktop
%{_datadir}/icons/hicolor/128x128/apps/d2x-rebirth.xpm

%changelog
* Sat Sep 16 2023 Brandon Nielsen <nielsenb@jetfuse.net> 20220929-2
- Update to SPDX license identifier
- Patch around scons concat regression

* Mon Jan 30 2023 Brandon Nielsen <nielsenb@jetfuse.net> 20220929-1
- Update to 20220929

* Wed Aug 24 2022 Brandon Nielsen <nielsenb@jetfuse.net> 20220823-1
- Update to 20220823

* Sat Feb 26 2022 Brandon Nielsen <nielsenb@jetfuse.net> 20220222-1
- Update to 20220222

* Mon Nov 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> 20211021-1
- Update to 20211021

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> 20210821-1
- Update to 20210821

* Fri Mar 19 2021 Brandon Nielsen <nielsenb@jetfuse.net> 20210224-1
- Update to 20210224
- Use autosetup

* Fri Oct 02 2020 Brandon Nielsen <nielsenb@jetfuse.net> 20200930-1
- Update to 20200930

* Wed May 20 2020 Brandon Nielsen <nielsenb@jetfuse.net> 20200501-3
- Explicitly list libtimidity for music

* Tue May 19 2020 Brandon Nielsen <nielsenb@jetfuse.net> 20200501-2
- Explicitly list libmodplug for music
- Explicitly list libogg for music
- Use pkgconfig for build deps

* Mon May 18 2020 Brandon Nielsen <nielsenb@jetfuse.net> 20200501-1
- Initial specfile
